unit nguLivro;


interface

uses
  acuframework, utuMessage;

type
  ngLivro = class(acPersistentObject)
  private
    FTitulo: acString;
    FAutor: acString;
    FEdicao: acString;
    fExemplares: acRelationPartnerList;
  public
    procedure toXML(piField: utField);
  published
    property Titulo: acString read FTitulo write FTitulo;
    property Autor: acString read FAutor write FAutor;
    property Edicao: acString read FEdicao write FEdicao;
    property Exemplares: acRelationPartnerList read fExemplares write fExemplares;
  end;

implementation

procedure ngLivro.toXML(piField: utField);
begin
  piField.AddAttribute('OID').AsString := Self.IDO.AsString;
  piField.AddAttribute('Titulo').AsString := Self.Titulo.AsString;
  piField.AddAttribute('Autor').AsString := Self.Autor.AsString;
  piField.AddAttribute('Edicao').AsString := Self.Edicao.AsString;
end;

initialization

PersistenceManager.RegisterClass(ngLivro);

end.

