unit nguSituacaoExemplar;


interface

uses
  acuframework, utuMessage;

type
  ngSituacaoExemplar = class(acPersistentObject)
  private
    FCodigo: acString;
    FDescricao: acString;
  public
    procedure toXML(piField: utField);
  published
    property Codigo: acString read FCodigo write FCodigo;
    property Descricao: acString read FDescricao write FDescricao;
  end;

implementation

procedure ngSituacaoExemplar.toXML(piField: utField);
begin
  piField.AddAttribute('Codigo').AsString := Self.Codigo.AsString;
  piField.AddAttribute('Descricao').AsString := Self.Descricao.AsString;
end;

initialization

PersistenceManager.RegisterClass(ngSituacaoExemplar);

end.

