unit nguEmprestimo;


interface

uses
  utuStateMachine, utuRequest, ucuUseCase, acuFramework,utuMessage;

type
  ngEmprestimo = class(acPersistentObject)
  private
    FRetirada: acDateTime;
    FPrevistaDev: acDateTime;
    FDataDev: acDateTime;
    fCliente: acRelationPartnerShip;
    fExemplar: acRelationPartnerShip;
  public
    procedure toXML(piField: utField);
  published
    property Retirada: acDateTime read FRetirada write FRetirada;
    property PrevistaDev: acDateTime read FPrevistaDev write FPrevistaDev;
    property DataDev: acDateTime read FDataDev write FDataDev;
    property Cliente: acRelationPartnerShip read fCliente write fCliente;
    property Exemplar: acRelationPartnerShip read fExemplar write fExemplar;
  end;

implementation

procedure ngEmprestimo.toXML(piField: utField);
begin
  piField.AddAttribute('OID').AsString := Self.IDO.AsString;
  piField.AddAttribute('Retirada').AsDate := Self.Retirada.Value;
  piField.AddAttribute('PrevistaDev').AsDate := Self.PrevistaDev.Value;
end;

initialization

PersistenceManager.RegisterClass(ngEmprestimo);

end.

